@import url('https://fonts.googleapis.com/css2?family=JetBrains+Mono&display=swap');

a {
  text-decoration: none;
}

.logo__text, .logo__mark, .logo__cursor {
  font-family: 'JetBrains Mono', monospace;
}

.post-content h2::before {
  content: "joey@debuck.dev:~ $ ";
  color: #d0d0d0;
}

body {
  background-color: #0c0c0c;
  color: #d0d0d0;
  font-family: "JetBrains Mono", monospace;
}

a {
  color: #d0d0d0;
}

.command,
.output {
  color: #d0d0d0;
  font-family: "JetBrains Mono", monospace;
  display: block;
  margin: 0;
}

/* Terminal */
#terminal {
  background: #0c0c0c;
  padding: 1rem;
  border-radius: 6px;
  height: 420px;
  max-height: 80vh;
  overflow: hidden;
}

#terminal #output {
  height: calc(100% - 2.5rem);
  overflow-y: auto;
}

.prompt {
  color: #4af626;
  margin-right: 5px;
}

.input-line {
  display: flex;
}

#input {
  background: transparent;
  border: none;
  outline: none;
  color: #d0d0d0;
  font-family: inherit;
  flex: 1;
}

pre {
  margin: 0.5rem 0;
  white-space: pre-wrap;
}

/* Footer */
.footer {
  padding: 10px 20px !important;
  font-size: 0.9rem;
}